org.apache.solr.client.solrj.io.stream

## Class FeaturesSelectionStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.FeaturesSelectionStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable, Expressible

      public class FeaturesSelectionStream
      extends TupleStream
      implements Expressible

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `FeaturesSelectionStream.FeaturesSelectionCall`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrClientCache` | `cache`
    `protected CloudSolrClient` | `cloudSolrClient`
    `protected String` | `collection`
    `protected ExecutorService` | `executorService`
    `protected String` | `featureSet`
    `protected String` | `field`
    `protected boolean` | `isCloseCache`
    `protected int` | `numTerms`
    `protected String` | `outcome`
    `protected Map<String,String>` | `params`
    `protected int` | `positiveLabel`
    `protected StreamContext` | `streamContext`
    `protected Iterator<Tuple>` | `tupleIterator`
    `protected String` | `zkHost`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeaturesSelectionStream(StreamExpression expression, StreamFactory factory)` logit(collection, zkHost="", features="a,b,c,d,e,f,g", outcome="y", maxIteration="20")
    `FeaturesSelectionStream(String zkHost, String collectionName, Map params, String field, String outcome, String featureSet, int positiveLabel, int numTerms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TupleStream>` | `children()`
    `void` | `close()`
    `StreamComparator` | `getStreamSort()` Return the stream sort - ie, the order in which records are returned
    `void` | `open()` Opens the CloudSolrStream
    `Tuple` | `read()`
    `void` | `setStreamContext(StreamContext context)`
    `Explanation` | `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
    `StreamExpressionParameter` | `toExpression(StreamFactory factory)`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

      `getCost, getStreamNodeId, writeStreamClose, writeStreamOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkHost

          protected String zkHost

    - #### collection

          protected String collection

    - #### params

          protected Map<String,String> params

    - #### tupleIterator

          protected Iterator<Tuple> tupleIterator

    - #### field

          protected String field

    - #### outcome

          protected String outcome

    - #### featureSet

          protected String featureSet

    - #### positiveLabel

          protected int positiveLabel

    - #### numTerms

          protected int numTerms

    - #### cache

          protected transient SolrClientCache cache

    - #### isCloseCache

          protected transient boolean isCloseCache

    - #### cloudSolrClient

          protected transient CloudSolrClient cloudSolrClient

    - #### streamContext

          protected transient StreamContext streamContext

    - #### executorService

          protected ExecutorService executorService

  - ### Constructor Detail

    - #### FeaturesSelectionStream

          public FeaturesSelectionStream(String zkHost,
                                         String collectionName,
                                         Map params,
                                         String field,
                                         String outcome,
                                         String featureSet,
                                         int positiveLabel,
                                         int numTerms)
                                  throws IOException

      Throws:
        `IOException`

    - #### FeaturesSelectionStream

          public FeaturesSelectionStream(StreamExpression expression,
                                         StreamFactory factory)
                                  throws IOException

      logit(collection, zkHost="", features="a,b,c,d,e,f,g", outcome="y", maxIteration="20")
      Throws:
        `IOException`

  - ### Method Detail

    - #### toExpression

          public StreamExpressionParameter toExpression(StreamFactory factory)
                                                 throws IOException

      Specified by:
        `toExpression` in interface `Expressible`
      Throws:
        `IOException`

    - #### setStreamContext

          public void setStreamContext(StreamContext context)

      Specified by:
        `setStreamContext` in class `TupleStream`

    - #### open

          public void open()
                    throws IOException

      Opens the CloudSolrStream
      Specified by:
        `open` in class `TupleStream`
      Throws:
        `IOException`

    - #### children

          public List<TupleStream> children()

      Specified by:
        `children` in class `TupleStream`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `TupleStream`
      Throws:
        `IOException`

    - #### getStreamSort

          public StreamComparator getStreamSort()

      Return the stream sort - ie, the order in which records are returned
      Specified by:
        `getStreamSort` in class `TupleStream`

    - #### toExplanation

          public Explanation toExplanation(StreamFactory factory)
                                    throws IOException

      Description copied from interface: `Expressible`
      Returns an explanation about the stream object
      Specified by:
        `toExplanation` in interface `Expressible`
      Specified by:
        `toExplanation` in class `TupleStream`
      Parameters:
        `factory` - Stream factory for this, contains information about the function name
      Returns:
        Explanation about this stream object containing explanations of any child stream objects
      Throws:
        `IOException` - throw on any error

    - #### read

          public Tuple read()
                     throws IOException

      Specified by:
        `read` in class `TupleStream`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.